{
	"parent":"farmersdelight:main/harvest_ropelogged_tomato",
	"display":{
		"icon":{
			"item":"farmersdelight:rotten_tomato"
		},
		"title":{
			"translate":"farmersdelight.advancement.hit_raider_with_rotten_tomato"
		},
		"description":{
			"translate":"farmersdelight.advancement.hit_raider_with_rotten_tomato.desc"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"criteria":{
		"hit_raider_with_rotten_tomato":{
			"trigger":"minecraft:player_hurt_entity",
			"conditions":{
				"damage":{
					"type":{
						"tags":[{
							"id":"minecraft:is_projectile",
							"expected":true
						}],
						"direct_entity":{
							"type":"farmersdelight:rotten_tomato"
						}
					}
				},
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"#minecraft:raiders"
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"hit_raider_with_rotten_tomato"
		]
	],
	"sends_telemetry_event":true
}